<div class="container screen-pt-50">

    <div class="row">
        <div class="col-md-12 sign-12 text-left">
            <div class="">

                <!-- [formGroup]="registerform" (ngSubmit)="register()" -->
                <form class="" [formGroup]="registerform" (ngSubmit)="sendBank()">

                    <h3><b>Créer un nouveau compte bancaire</b></h3>
                    <div class="mb-3 mt-3">
                        <label for="name" class="form-label"><span class="star">*</span>Nom de la banque</label>
                        <input type="text" class="form-control" id="name" name="name" autofocus="off" required formControlName="bank_name">
                    </div>
                    <div class="errormsg" *ngIf="registerform.get('bank_name')?.touched && registerform.get('bank_name')?.hasError('required')">

                        <h4> <b>Le nom de la banque est requis</b></h4>
                    </div>
                    <div class="mb-3 mt-3">
                        <label for="name" class="form-label"><span class="star">*</span>Numéro de compte</label>
                        <input type="text" class="form-control" id="name" name="name" required formControlName="account_number">
                    </div>
                    <div class="errormsg" *ngIf="registerform.get('account_number')?.touched && registerform.get('account_number')?.hasError('required')">

                        <h4> <b>Le numéro de compte est requis</b></h4>
                    </div>
                    <div class="mb-3 mt-3">
                        <label for="name" class="form-label"><span class="star">*</span>IBAN</label>
                        <input type="text" class="form-control" id="name" name="name" required formControlName="iban">
                    </div>
                    <div class="errormsg" *ngIf="registerform.get('iban')?.touched && registerform.get('iban')?.hasError('required')">

                        <h4> <b>IBAN est requis</b></h4>
                    </div>
                    <div class="mb-3 mt-3">
                        <label for="name" class="form-label"><span class="star">*</span>Code BIC</label>
                        <input type="text" class="form-control" id="name" name="name" required formControlName="bic">
                    </div>
                    <div class="errormsg" *ngIf="registerform.get('bic')?.touched && registerform.get('bic')?.hasError('required')">

                        <h4> <b>BIC est requis</b></h4>
                    </div>

                    <div class="mb-3 mt-3">
                        <label for="name" class="form-label"><span class="star">*</span>Adresse de la banque</label>
                        <input type="text" class="form-control" id="" name="" (onAddressChange)="handleAddressChange2($event)" ngx-google-places-autocomplete>
                    </div>


                    <button type="submit" class="btn btn-signs"><b>Ajouter</b></button>
                    <div class="comeBack_up" *ngIf="getstatus">
                        <div *ngIf="getstatus.status == false; else loggedOut">
                            <br>
                            <div class="alert alert-danger"><strong>{{ getstatus.message }}</strong></div>
                        </div>
                        <ng-template #loggedOut>
                            <br>
                            <div class="alert alert-success"><strong>{{ getstatus.message }}</strong></div>
                        </ng-template>
                    </div>
                    <button mat-button mat-dialog-close class="btn btn-signs" style="color:#fff !important"><b>fermer</b></button>

                </form>
            </div>
        </div>
    </div>
</div>